Knowledge Base / FAQ

Date: 2014-08-30   |   ID: KB00189EN   |   short link:

Can I use MaXiO under Windows Vista/7/8/10?

We provide a driver for MaXiO 032, MaXiO 032e and MaXiO XD for Windows Vista, Windows 7, Windows 8, Windows 8.1 and Windows 10 - supporting 32-bit and 64-bit systems from Version 1.09 and upwards (we always recommend to use the latest version of the driver, particularily the installation of version 1.19 or higher).

In order to make sure that this driver works with the MaXiO PCI or MaXiO PCIe card, the firmware on the card has to be at least AA550008, not lower. If the last digits are lower than "...0008", an upgrade of the firmware is needed, or the newer drivers will not work with your card and you will not be able to use it under newer Windows versions.

To check the firmware, select the About dialog in the MaXiO control panel software. It will show the firmware like this:

As you can see under Firmware Signature, the version is displayed there.

If your card requires a firmware update, please contact the ESI technical support and mention that you have a MaXiO PCI or PCIe card and you need to upgrade the firmware. We will then send the firmware upgrade utility and instructions to you by email. Please note that the upgrade has to be performed under Windows XP, it cannot be done under Windows Vista, 7 or 8.

Related products

More support pages

Tags


 firmware   Win10   Win8   Win7 
 WinVista 

Download


KB00189EN.pdf